Support » Plugin: WP-Chatbot for Messenger » Error in Admin

  • Resolved Scott

    (@olsonsp4c)


    here is the error in the admin: Warning: count(): Parameter must be an array or an object that implements Countable in /home/seven19/www/www/wp-content/plugins/wp-chatbot/inc/MobileMonkeyApi.php on line 784

    says it connected but doesn’t show up on page. using the Divi theme.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 21 total)
  • Plugin Support ingasupranovich

    (@ingasupranovich)

    Hi, @olsonsp4c
    What WP-Chatbot version do you use?
    Could you please upgrade to the latest version and Log out / log in again with connecting the page.
    Let me know if the issue persists after the steps above

    Thread Starter Scott

    (@olsonsp4c)

    Hi @ingasupranovich – I am using version 4.1.5. I am not getting the error currently in the admin (today). However, the chat isn’t showing up either.

    Plugin Support ingasupranovich

    (@ingasupranovich)

    Hi, @olsonsp4c
    Try the following:
    1. Disconnect the page
    2. Log out of FB
    3. Log in to FB
    4. Connect the page
    5. Check if that plugin appeared

    Another option is to:
    1. Go to Appearance -> Theme (or Theme Editor)
    2. Find on the right panel Theme Header (header.php)
    3. Paste in between <head> and </head> tags
    <script async=”async” src=”https://static.mobilemonkey.com/js/1355817081226969.js”></script&gt;

    Thread Starter Scott

    (@olsonsp4c)

    @ingasupranovich thankyou. i did all those steps. after adding to header.php, it loaded properly. ty for your assistance!

    Scott

    Thread Starter Scott

    (@olsonsp4c)

    @ingasupranovich I spoke too soon. Now it isn’t showing up again though it says it is connected. And I get this error message in the admin:

    Warning: count(): Parameter must be an array or an object that implements Countable in /home/seven19/www/www/wp-content/plugins/wp-chatbot/inc/MobileMonkeyApi.php on line 784

    Plugin Support ingasupranovich

    (@ingasupranovich)

    Hi, @olsonsp4c
    Could you please install the chatbot from here https://wordpress.org/plugins/wp-chatbot/, it has the patch.
    We already fixed what you’ve mentioned, but plugin need to be reinstalled
    Let me know if that worked

    Thread Starter Scott

    (@olsonsp4c)

    thank you @ingasupranovich! I am doing this today and will report back!

    Scott

    Plugin Support ingasupranovich

    (@ingasupranovich)

    Sure, @olsonsp4c
    Waiting on the confirmation from you

    Thread Starter Scott

    (@olsonsp4c)

    @ingasupranovich Now it seems to be working (yay!), but when updating the “Customize” tab, I receive this message, “Error: Failed updating of answering_service_v2…” Thanks!

    Scott

    Plugin Support ingasupranovich

    (@ingasupranovich)

    @olsonsp4c, the error is related to Answering Service that is in Setup tab, so I have a few questions:
    – do you see changes from Customize tab applied to the website chat widget?
    – if Save Changes again within the Customize tab, do you see the error repeated?
    – if Save Changes again within the Setup tab, do you see the error repeated?
    – do you see changes from the Setup tab applied to the website chat widget?

    Thread Starter Scott

    (@olsonsp4c)

    I also get this message in the Admin after updating my available and offline messages: “Warning: Invalid argument supplied for foreach() in /home/seven19/www/www/wp-content/plugins/wp-chatbot/inc/MobileMonkeyApi.php on line 874”

    Thread Starter Scott

    (@olsonsp4c)

    @ingasupranovich here are my answers:
    – do you see changes from Customize tab applied to the website chat widget?

    yes i do

    – if Save Changes again within the Customize tab, do you see the error repeated?

    yes i do

    – if Save Changes again within the Setup tab, do you see the error repeated?

    no i don’t. i disconnected and reconnected the plugin to FB and did not get an error. only on the Customize tab it seems.

    that said, if I refresh the page while on that tab, I get this message, “Warning: count(): Parameter must be an array or an object that implements Countable in /home/seven19/www/www/wp-content/plugins/wp-chatbot/inc/MobileMonkeyApi.php on line 822”

    – do you see changes from the Setup tab applied to the website chat widget?

    the only option in the setup tab that i see is to connect or disconnect the FB page. There are not any other options in this tab.

    Thread Starter Scott

    (@olsonsp4c)

    @ingasupranovich ALSO, if I go to the WordPress left menu and the flyout submenu and click “Customize” it takes me to the dashboard. I am using the Divi Theme by Elegant Themes.

    In the Subscription page I get this message: “API Key is incorrect. Please update your details in the Settings > General tab. Valid credentials are required to update your theme.”>Your Elegant Themes username or API Key is incorrect. Please update your details in the Settings > General tab. Valid credentials are required to update your theme.
    1K”

    The only place for an API key in Settings > General is for the Divi Theme. So, I’m thinking there is a conflict there that may be causing all the issues perhaps.

    Plugin Support ingasupranovich

    (@ingasupranovich)

    Hi, @olsonsp4c
    We’re struggling to reproduce the issue.
    That would be a great help if you can provide admin access to your WP so that our developer would be able to find the cause.
    If that’s ok with you, please email to isupranovich@mobilemonkey.com with login/password.

    Thread Starter Scott

    (@olsonsp4c)

    will do this now 🙂

Viewing 15 replies - 1 through 15 (of 21 total)
  • The topic ‘Error in Admin’ is closed to new replies.